Loading...
Searching...
No Matches
Miscellaneous
Molecular Modeling » Energy evaluation (non-MM)

## Classes

class | BALL::ComposedEnergyProcessor
class | BALL::EnergyProcessor

## Typedefs

typedef std::list< EnergyProcessor * > | BALL::EnergyProcessorList

## Functions

BALL_EXPORT double | BALL::calculateACE (const AtomContainer &atom_container, const string &type_filename="energy/ACE_types.dat", const string &parameter_filename="energy/ACE_parameters.dat")

## Detailed Description

## Typedef Documentation

## EnergyProcessorList

typedef std::list<EnergyProcessor*> BALL::EnergyProcessorList

EnergyProcessorList

Definition at line 24 of file composedEnergyProcessor.h.

## Function Documentation

## calculateACE()

BALL_EXPORT double BALL::calculateACE | ( | const AtomContainer & | atom_container,
|  | const string & | type_filename = "energy/ACE_types.dat",
|  | const string & | parameter_filename = "energy/ACE_parameters.dat" )

Calculate the atomic contact energy. Calculates the atomic contact energy (ACE) after Zhang et al. (J. Mol. Biol., 267, 707-726 (1997)). The energy is returned in units of kJ/mol. Unparametrized Atoms are simply ignored, this may lead to unreasonable values.
However, a warning is being printed in this case.

  Files:

  The two files given as default parameters contain the original parameters from the JMB publication (ACE_parameters.dat) as a 18x18 matrix. ACE_types.dat contains the mapping of residue/atom names to theses types for standard amino acid residues.